﻿<!DOCTYPE html>
<html lang="en">
  
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="">
    <meta name="author" content="">
    <title>
      Opus Laboris Recruitment: Vacancy
    </title>
      <link rel="shortcut icon" href="images/icons/favicon.ico" />

      <!-- Javascript Libraries -->
      <script src="javascript/TriSysLoad.js" type="text/javascript"></script>
      <script src="javascript/jquery.min.js" type="text/javascript"></script>
</head>
  
<body style="display:none">
    <div id="TriSysWeb-Header"></div>
    <div class="jumbotron">
        <div class="container">
            <div class="row">
                <div class="col-md-9">
                    <h1>
                        Vacancy
                    </h1>
                </div>
                <div class="col-md-3">
                    <img src="images/Vacancy.png"
                         height="150">
                </div>
                <div class="col-md-4" style="display: none;">

                </div>
            </div>
            <p>
                As a candidate, you can apply for this vacancy, add it as a favourite or send it to a friend.
                <br />
                As a client, you can edit this vacancy and view all candidates who have applied to it.
            </p>
            <p style="text-align: center">
            </p>
        </div>
    </div>
    <div class="container">
        <div class="panel panel-default">
            <div class="panel-heading">
                <h3 class="panel-title">
                    Vacancy Details
                </h3>
            </div>
            <div class="panel-body">
                <div class="form-group">
                    <label>
                        Reference
                    </label>
                    <input id="RequirementConfigFields_RequirementReference" readonly="readonly" style="width:100%" />
                </div>
                <div class="form-group">
                    <label>
                        Status
                    </label>
                    <br />
                    <input id="RequirementConfigFields_RequirementStatus" readonly="readonly" style="width:100%" />
                </div>
                <div class="form-group">
                    <label>
                        Job Title
                    </label>
                    <br />
                    <input id="RequirementConfigFields_JobTitle" readonly="readonly" style="width:100%" />
                </div>
                <div class="form-group">
                    <label>
                        Type
                    </label>
                    <input id="Requirement_Type" readonly="readonly" style="width:100%" />
                </div>
                <div class="form-group">
                    <label>
                        Start Date
                    </label>
                    <br />
                    <input id="RequirementConfigFields_EarliestStartDate" readonly="readonly" style="width:240px" />
                </div>
                <div class="form-group" id="fieldGroup-ContractDuration">
                    <label>
                        Duration in Weeks
                    </label>
                    <br />
                    <input id="RequirementConfigFields_DurationInWeeks" readonly="readonly" style="width:100px" />
                </div>
                <div class="form-group">
                    <label>
                        Date Posted
                    </label>
                    <br />
                    <input id="RequirementConfigFields_DateInitiated" readonly="readonly" style="width:240px" />
                </div>
                <div class="form-group">
                    <label>
                        Location
                    </label>
                    <input id="RequirementConfigFields_SiteAddress" readonly="readonly" style="width:100%" />
                </div>
                <div class="form-group">
                    <label>
                        Job Description
                    </label>
                    <textarea class="k-textbox" id="RequirementConfigFields_WebText" rows="5" readonly style="width:100%"></textarea>
                </div>
                <div class="form-group" id="fieldGroup-JobDescriptionDocument">
                    <label>
                        Job Description Document
                    </label>
                    <div id="RequirementConfigFields_JobDescription" style="width:100%;"></div>

                </div>
                <br />
                <div class="form-group" id="fieldGroup-Salary">
                    <label>
                        Maximum Salary
                    </label>
                    <input id="RequirementConfigFields_MaximumSalary" readonly="readonly" style="width:100%" />
                </div>
                <div class="form-group" id="fieldGroup-Rate">
                    <label>
                        Maximum Rate
                    </label>
                    <input id="RequirementConfigFields_MaximumRate" readonly="readonly" style="width:100%" />
                </div>

            </div>
        </div>
    </div>
    <!-- Interviews Grid -->
    <div class="container" id="divInterviewsContainer">
        <div class="panel panel-default" id="pnlCandidateInterviews">
            <div class="panel-heading">
                <h3 class="panel-title">
                    Stage (Application/Interviews/Offers)
                </h3>
            </div>
            <div class="panel-body">

                <!-- The shortlist stages grid populated by JS -->
                <div id="divVacancyShortlistGrid" style="border-width: 1px; width: 100%; ">
                </div>
            </div>
        </div>
    </div>
    <!-- End of Interviews Grid -->
    <!-- Actions -->
    <div class="container">
        <div class="panel panel-default" id="pnlLiveVacancies">
            <div class="panel-heading">
                <h3 class="panel-title">
                    Actions
                </h3>
            </div>
            <div class="panel-body">

                <div class="btn-group">
                    <a class="btn btn-danger" id="btnApply" onclick="ApplyButton()">Apply</a>
                    <a class="btn btn-default" id="btnWithdrawVacancyApplication" onclick="WithdrawVacancyApplicationButton()" style="display:none">Withdraw Application</a>
                    <a class="btn btn-info" id="btnAddToFavourites" onclick="AddToFavouritesButton()">Add to Favourites</a>
                    <a class="btn btn-default" id="btnRemoveFromFavourites" onclick="RemoveFromFavouritesButton()" style="display:none">Remove from Favourites</a>
                    <a class="btn btn-default" id="btnSendToFriend" onclick="SendToFriendButton()">Send to Friend</a>
                    <a class="btn btn-warning" id="btnBack" onclick="history.go(-1);">Back to Previous Page</a>
                </div>
            </div>
        </div>
    </div>
    <!-- End of Actions -->
    <div class="container">
        <div id="TriSysWeb-Footer"></div>
    </div>
    <!-- /container -->

    <script type="text/javascript">
        $(document).ready(function ()
        {
            TriSysLoad.ApexFramework.LoadDynamically(function ()
            {
                var documentReadyObject = {
                    ClientLogin: false,
                    CandidateLogin: false,
                    SQLLogin: true,
                    PageName: "vacancy",
                    ParentMenuName: "candidate",
                    CallbackFunction: function ()
                    {
                        // We expect a URL with ?RequirementId= parameter
                        TriSysWeb.Pages.CandidateVacancy.LoadRecordFromURL(window.location.href);
                    }
                };
                TriSysWeb.Pages.DocumentReady(documentReadyObject);
            });
        });

        function ApplyButton()
        {
            TriSysWeb.Pages.CandidateVacancy.Apply(window.location.href);
        }
        function WithdrawVacancyApplicationButton()
        {
            TriSysWeb.Pages.VacancyApplications.WithdrawApplicationFromURL(window.location.href);
        }
        function AddToFavouritesButton()
        {
            TriSysWeb.Pages.CandidateVacancy.AddToFavourites(window.location.href);
        }
        function RemoveFromFavouritesButton()
        {
            TriSysWeb.Pages.CandidateVacancy.RemoveFromFavourites(window.location.href);
        }
        function SendToFriendButton()
        {
            TriSysWeb.Pages.CandidateVacancy.SendToFriend(window.location.href);
        }

    </script>
</body>

</html>